Subject: re:"Re: FVWM: focus and pointer" (fwd)

From: Brady Montz <[email-masked]>
Date: Thu, 18 Apr 1996 09:40:11 -0700 (MST)

Forwarded message:
> From [email-masked]  Thu Apr 18 07:52:34 1996
> X400-Received:  
>  by mta bnr.ca in /PRMD=BNR/ADMD=TELECOM.CANADA/C=CA/; Relayed; Thu, 18 Apr 1996 10:35:46 -0400 
> X400-Received:  
>  by /PRMD=BNR/ADMD=TELECOM.CANADA/C=CA/; Relayed; Thu, 18 Apr 1996 10:34:46 -0400 
> X400-Received:  
>  by /PRMD=BNR/ADMD=TELECOM.CANADA/C=CA/; Relayed; Thu, 18 Apr 1996 10:34:00 -0400 
> Date:  Thu, 18 Apr 1996 10:34:00 -0400 
> X400-Originator:  /dd.id=0508162/g=eli/i=e/s=burke/@bnr.ca 
> X400-MTS-Identifier:  
>  [/PRMD=BNR/ADMD=TELECOM.CANADA/C=CA/;bcars520.b.112:18.03.96.14.34.46] 
> X400-Content-Type:  P2-1984 (2) 
> Content-Identifier:  re:"Re: FVWM:... 
> From: "eli (e.) burke" <[email-masked]>
> Message-ID:  <"19240 Thu Apr 18 10:35:11 1996"@bnr.ca> 
> To: [email-masked]
> Subject:  re:"Re: FVWM: focus and pointer" 
> Sender: [email-masked]
> X-Majordomo: 1.92
> Precedence: list
> 
> >    Sergios> I just installed fvwm 2.0.41. is it possible to bring a
> >    Sergios> window to top (focus) without the mouse cursor moving to
> >    Sergios> the top left corner of the window?
> >  
> >  There is a Focus-patch for 2.0.41 which is built-in to 2.0.42.  It
> >  lets you specify the position to warp to (with the Focus function):
> >      Focus   0   0       ul corner
> >      Focus  50  50       center
> >      Focus 100   0       ur corner
> >      Focus   0 100       ll corner
> 
> 	It is nice that you keep bringing this up each time somebody
> asks about Focus, but what this poster would really like (and me too! :)
> is for Focus not to mess with the mouse at all, or at least have that
> be an option in some way.
> 
> -Eli

There a patch that I put together which I distribute with FvwmIconMan which
gives Focus an integer argument. Focus 0 doesn't warp the cursor, and Focus 1
or plain Focus does the standard behavior. It comes with no guarantees, but 
I use it with no problems with 2.0.42.

FvwmIconMan comes with fvwm2.0.42, and the patch for 2.0.42 can be found at 
mahler.cs.arizona.edu in /pub/FvwmIconMan/fvwm_patches.

I would definitely like to see this added to fvwm. I think the problem is that
the Focus function is to heavyweight. I think it should be split into
functions which just changes the focus, and a function which warps the cursor
to a given location in a particular window, and then you could get the
current behaviour by just making a compound function of the two.

[email-masked]
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].